Package: pisa / 3.0.32-4~bpo8+1

Metadata

Package Version Patches format
pisa 3.0.32-4~bpo8+1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
0001 Fix path to interpreter.patch | (download)

sx/pisa3/pisa_paragraph.py | 2 1 + 1 - 0 !
sx/pisa3/pisa_paragraph2.py | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 fix path to interpreter

Patch-Name: 0001-Fix-path-to-interpreter.patch

0002 Fix reportlab version detection for versions greater.patch | (download)

sx/pisa3/pisa_util.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 fix reportlab version detection for versions greater 2.x

Since python-reportlab 3 is in sid the version detection was broken as
it only detects versions starting with 2.x .
Patch-Name: 0002-Fix-reportlab-version-detection-for-versions-greater.patch

0003 Fix interpreter path to please lintian.patch | (download)

demo/cherrypy/demo-cherrypy.py | 2 1 + 1 - 0 !
demo/tgpisa/start-tgpisa.py | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 fix interpreter path to please lintian.

Set path to Python interpreter in example scripts to /usr/bin/python.
This makes lintian happy :-)
Patch-Name: 0003-Fix-interpreter-path-to-please-lintian.patch

0004 pypdf 2 pypdf2.patch | (download)

sx/pisa3/pisa_pdf.py | 2 1 + 1 - 0 !
sx/pisa3/pisa_util.py | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 removing python-pypdf in favor of python-pypdf2

python-pypdf is not supported anymore (#749321). python-pypdf2 
is the new way to go.